AOWP_PHPClassElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPClassElement
/parser/ast/PHPClassElement.class.php at line 19

# Class AOWP_PHPClassElement

    AOWP_PHPElement
        └─AOWP_PHPClassElement

public class AOWP_PHPClassElement
extends AOWP_PHPElement

PHPClassElement

PHPのASTにおける「クラス」を表すクラス 文法規則: unticked_class_declaration_statement

Author:
  Ryoto Naruse /

Field Summary
mixed | $className
mixed | $classStatements
mixed | $extendClassName
mixed | $implementInterfaceNames
mixed | $typeName

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPClassElement(mixed _line, mixed typeName, mixed className, mixed extendClassName, mixed implementInterfaceNames, mixed classStatements)

Method Summary
void | __toString()
void | addStatement(mixed element, $element ) $elementは、{@link AOWP_PHPMethodElement}や、{@link AOWP_PHPClassVariableElement}等。
void | getClassName()
void | getExtendedClassName()
void | getMethodAST(mixed methodName)
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPClassElement.class.php at line 22

### className

`public mixed $className`

/parser/ast/PHPClassElement.class.php at line 25

### classStatements

`public mixed $classStatements`

/parser/ast/PHPClassElement.class.php at line 23

### extendClassName

`public mixed $extendClassName`

/parser/ast/PHPClassElement.class.php at line 24

### implementInterfaceNames

`public mixed $implementInterfaceNames`

/parser/ast/PHPClassElement.class.php at line 21

### typeName

`public mixed $typeName`

## Constructor Detail

/parser/ast/PHPClassElement.class.php at line 27

### AOWP_PHPClassElement

`public AOWP_PHPClassElement(mixed _line, mixed typeName, mixed className, mixed extendClassName, mixed implementInterfaceNames, mixed classStatements)`

## Method Detail

/parser/ast/PHPClassElement.class.php at line 43

### __toString

`public void __toString()`

/parser/ast/PHPClassElement.class.php at line 67

### addStatement

`public void addStatement(mixed element, $element )`

$elementは、`AOWP_PHPMethodElement`や、`AOWP_PHPClassVariableElement`等。

/parser/ast/PHPClassElement.class.php at line 36

### getClassName

`public void getClassName()`

/parser/ast/PHPClassElement.class.php at line 39

### getExtendedClassName

`public void getExtendedClassName()`

/parser/ast/PHPClassElement.class.php at line 51

### getMethodAST

`public void getMethodAST(mixed methodName)`

/parser/ast/PHPClassElement.class.php at line 47

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr